Subject: Re: popen() in cygwin.dll
From: [email-masked] ("Pedro A. Aranda Guti\irrez")

13 Jan 1997 23:57:18 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.0 (Win95; I)
Original-To: Corinna Kinchin <[email-masked]>
Original-Cc: [email-masked]
Original-Sender: [email-masked]

Corinna Kinchin wrote:
> 
> Hi all!
> 
> We're using beta release 17 of cygwin.dll with gcc version 2.7.2,
> under Windows NT 4.0.
> 
> I'm finding that the popen() function call always returns NULL.
> Has anyone else encountered this? Is it a known "feature"?
> 
> We have Visual C++ 4.0 so if there are any suggestions about how it might
> be possible to link in the Microsoft runtime library popen() function
> (which does work) 

Hi Corinna,

There's a solution half way between gcc and Vicious C++ : the minimalist
GNUWIN32. This project is trying to make the MS C runtime DLL accessible
to gcc (cygwin32). Look at it at 

http://www.fu.is.saga-u.ac.jp/~colin/mingw32.html

I've contributed some stuff to it. My experience is very good. One of
the 
things I'm doing now is recompiling all the GNU stuff. I've made some
progress and the environment is not too user-unfriendly.

Anyway, give it a try. 

Cheers,

-- 

     +--------------------------------------------------------+
     |  ####   Pedro Andres Aranda Gutierrez                  |
     |  ####                                                  |
     |  ####   Telefonica I+D;  Network Interconnection Div.  |
     |  ====   C./ Emilio Vargas, 6    E-28043 Madrid, Spain  |
     |  ====   e-mail : [email-masked]                           |
     |  ====   Tlf 34-1-337 47 02      FAX 34-1-337 45 02     |
     +--------------------------------------------------------+
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".